% This code runs the Gibbs Sampler algorithm for the benchmark results.

for irep=1:NTTL
    drawBL
    LL(8,1) = Ldraw;
    drawAA_2

    for tt=1:T
        AA(:,:,tt) = genmatrixA(A1draw(:,tt), A2draw(:,tt), N);
        e(tt,:) = (AA(:,:,tt)*U(:,tt))'; % e is AA*residual whose variance is H*H
    end 
    HFdrawH

    HH = genHH(lhdraw', N, T);
    Omega = getOO(AA, Hdraw, T, N);
    UU= HH;
    
    irep
    
    if irep>NB % store results after burn-in period only.
        if (irep/D)-fix(irep/D)==0
            
            postB(:,(irep-NB)/D) = Bdraw;
            postL(:,(irep-NB)/D) = Ldraw;
            postH(:,:,(irep-NB)/D) = Hdraw;
            postA1((irep-NB)/D,:) = A1draw;
            postA2(:,:,(irep-NB)/D) = A2draw;
            postAlpha(:,(irep-NB)/D) = Adraw;
            postRHO(:,(irep-NB)/D) = rhodraw;
            postINT(:,(irep-NB)/D) = intdraw;
 
        end
    end
end
