% This code runs the Gibbs Sampler algorithm for the benchmark results.

for irep=1:NTTL
    % Print iterations
   
    drawBL_sb1 
    LL(8,1) = Ldraw;
    drawAA_sb1

    for tt=1:T
        AA(:,:,tt) = genmatrixA(A1draw(:,tt), A2draw(:,tt), N);
        e(tt,:) = (AA(:,:,tt)*U(:,tt))'; % e is AA*residual whose variance is H*H
    end 

    HFdrawH_sb1 % This is with Realized Volatility.
    
    HH = genHH(lhdraw', N, T);
    Omega = getOO(AA, Hdraw, T, N);
    UU= HH;
    
    irep
    
    if irep>NB % store results after burn-in period only.
        if (irep/D)-fix(irep/D)==0
            postL(:,(irep-NB)/D) = Ldraw;
            postH(:,:,(irep-NB)/D) = Hdraw;
            postD(:,(irep-NB)/D) = Ddraw; %dummy coefficient
        end
    end
end
