% This code runs the Gibbs Sampler algorithm for results with sub-samples.

for irep=1:NTTL

    drawBL_sb2
    drawAA_sb2
    for tt=1:T1
        AA11(:,:,tt) = genmatrixA(A1draw11(:,tt), A2draw11(:,tt), N);
        e1(tt,:) = (AA11(:,:,tt)*U1(:,tt))'; % e is AA*residual whose variance is H*H
    end 
    for tt=1:T2
        AA22(:,:,tt) = genmatrixA(A1draw22(:,tt), A2draw22(:,tt), N);
        e2(tt,:) = (AA22(:,:,tt)*U2(:,tt))'; % e is AA*residual whose variance is H*H
    end 
    HFdrawH_sb2
    
    HH1 = genHH(lhdraw1', N, T1);
    Omega1 = getOO(AA11, Hdraw1, T1, N);
    UU1 = HH1;
    HH2 = genHH(lhdraw2', N, T2);
    Omega2 = getOO(AA22, Hdraw2, T2, N);
    UU2 = HH2;
       
    irep
    
    if irep>NB % store results after burn-in period only.
        if (irep/D)-fix(irep/D)==0
            postL1(:,(irep-NB)/D) = Ldraw1;
            postL2(:,(irep-NB)/D) = Ldraw2;
        end
    end
end
