%% Figure 5
time = [1958.5:0.25:(1958.5+0.25*(T-1))];
figure('Name', 'World oil production, real price of oil, world industrial production, and oil price volatility')
subplot(2,2,1)
plot(time,Y1(:,1),'LineWidth',2); grid;
ylabel('Percentage change')
title('World oil production')
subplot(2,2,2)
plot(time,Y1(:,2),'LineWidth',2); grid;
ylabel('Percentage change')
title('Real price of oil')
subplot(2,2,3)
plot(time,Y1(:,3),'LineWidth',2); grid;
title('World industrial production')
ylabel('Percentage change')
set(gca, 'XTickLabel',{'1960','1965','1970','1975','1980','1985','1990','1995','2000','2005'})
subplot(2,2,4)
plot(time,medianH(2,:),'LineWidth',2); grid;
set(gca, 'XTickLabel',{'1960','1965','1970','1975','1980','1985','1990','1995','2000','2005'})
title('Oil price volatility')