% This code draws alphas and S's, the variance matrices of alphas.  


U = zeros(N, T);
BD = zeros(N,N);
BD(N,N) = Ddraw;

for t=1:T
   dumm = [0 0 DM(t)]';
   U(:,t) = Y1(:,t) - X1(:,:,t)'*Bdraw - UU(:,:,t)'*LL -BD*dumm;
end



%--------------------------------------------------------------------------
A1draw = kfa(-U(1,:), S1draw, eye(1), Hdraw(2,:).^2', U(2,:)', prior_meanA(1), prior_varA(1,1),1);

%--------------------------------------------------------------------------
A2draw = kfa(-U(1:2,:), S2draw, eye(2), Hdraw(3,:).^2', U(3,:)', prior_meanA(2:3)', prior_varA(2:3,2:3),2);

%=====| Draw S, the covariance of A(t) (from iWishart)
% Take the SSE in the state equation of A(t)
[S1draw, S2draw] = drawS(post_dfS1, prior_QS1, post_dfS2, prior_QS2, A1draw, A2draw, T);

