% This code draws alphas and S's, the variance matrices of alphas.  

U1 = zeros(N, T1);
for t=1:T1
   U1(:,t) = Y11(:,t) - X11(:,:,t)'*Bdraw1 - UU1(:,:,t)'*LL1 ;
end

A1draw11 = kfa(-U1(1,:), S1draw1, eye(1), Hdraw1(2,:).^2', U1(2,:)', prior_meanA11(1), prior_varA11(1,1),1);
A2draw11 = kfa(-U1(1:2,:), S2draw1, eye(2), Hdraw1(3,:).^2', U1(3,:)', prior_meanA11(2:3)', prior_varA11(2:3,2:3),2);

%=====| Draw S, the covariance of A(t) (from iWishart)
% Take the SSE in the state equation of A(t)
[S1draw1, S2draw1] = drawS(post_dfS11, prior_QS11, post_dfS21, prior_QS21, A1draw11, A2draw11, T1);

U2 = zeros(N, T2);
for t=1:T2
   U2(:,t) = Y12(:,t) - X12(:,:,t)'*Bdraw2 - UU2(:,:,t)'*LL2 ;
end

A1draw22 = kfa(-U2(1,:), S1draw2, eye(1), Hdraw2(2,:).^2', U2(2,:)', prior_meanA22(1), prior_varA22(1,1),1);
A2draw22 = kfa(-U2(1:2,:), S2draw2, eye(2), Hdraw2(3,:).^2', U2(3,:)', prior_meanA22(2:3)', prior_varA22(2:3,2:3),2);

%=====| Draw S, the covariance of A(t) (from iWishart)
% Take the SSE in the state equation of A(t)
[S1draw2, S2draw2] = drawS(post_dfS12, prior_QS12, post_dfS22, prior_QS22, A1draw22, A2draw22, T2);

