function Omega = getOO(AA, H, T, N);

Omega = zeros(N, N, T);
Hm = zeros(N, N, T);
for t=1:T;
    for jj=1:N
        Hm(jj,jj,t) = H(jj,t);
    end
    Omega(:,:,t) = inv(AA(:,:,t))*Hm(:,:,t).^2*inv(AA(:,:,t))';
end