%% Price Uncertainty
time = [1958.5:0.25:(1958.5+0.25*(T-1))];
medianH=median(postH, 3);
sortH=sort(postH, 3);
medianHwoRV=median(postHwoRV, 3);
sortHwoRV=sort(postHwoRV, 3);

figure('Name','The effect of the augmentation of the extra uncertainty indicator')
subplot(2,1,1)
plot(time,medianHwoRV(2,:), 'LineWidth',2)
set(gca, 'XTick', 1960:5:2005)
set(gca, 'XTickLabel',{'1960','1965','1970','1975','1980','1985','1990','1995','2000','2005'})
hold on
plot(time, sortHwoRV(2,:,round(0.025*NG)),'--r')
hold on
plot(time, sortHwoRV(2,:,round(0.975*NG)), '--r')
ylabel('Percentage point')
title('Oil price uncertainty without realized volatility')
subplot(2,1,2)
plot(time,medianH(2,:), 'LineWidth',2)
set(gca, 'XTick', 1960:5:2005)
set(gca, 'XTickLabel',{'1960','1965','1970','1975','1980','1985','1990','1995','2000','2005'})
hold on
plot(time, sortH(2,:,round(0.025*NG)),'--r')
hold on
plot(time, sortH(2,:,round(0.975*NG)), '--r')
ylabel('Percentage point')
title('Oil price uncertainty with realized volatility')

