H1 = [zeros(1,2); 2 Ldraw];
H2 = [zeros(1,3); 2 Ldraw 2]; % (1*3) matrix
Qt = [zeros(1,2); 0 Wdraw(2,2)];
F2draw = [1 0; int2 rho2];
btt = [0 prior_logh(2)]'; %h0|0
Vtt = [zeros(1,2); 0 prior_varh(2,2)]; %P0|0

bt = zeros(T,2);
bp = zeros(T,2);
Vt = zeros(T*2,2);
Vp = zeros(T*2,2);
m=2;
for i = 1:T
    bpt = F2draw*btt; %h1|0
    Vpt = F2draw*Vtt*F2draw+Qt; %P1|0
    if i <= Ti
        R = vart21((i-1)*2+1:i*2,:);  % vart2 := R , ys2 := obs.variable %(2*2)
        cfe = ys21((i-1)*2+1:i*2) - H1'*bpt; 
        f = H1'*Vpt*H1 + R; 
        inv_f = inv(f);
    
        btt = bpt + Vpt*H1*inv_f*cfe; 
        Vtt = Vpt - Vpt*H1*inv_f*H1'*Vpt;
    elseif i> Ti
        ii = i-Ti;
        R = vart22((ii-1)*3+1:ii*3,:);  % vart2 := R , ys2 := obs.variable %(2*2)
        cfe = ys22((ii-1)*3+1:ii*3) - H2'*bpt; 
        f = H2'*Vpt*H2 + R;
        inv_f = inv(f);
    
        btt = bpt + Vpt*H2*inv_f*cfe; %(2*1)
        Vtt = Vpt - Vpt*H2*inv_f*H2'*Vpt; %(2*2)
    end

    bt(i,:) = btt';  % 1|1, 2|2, ....., T|T
    bp(i,:) = bpt';  % 1|0, 2|1, ..... T|T-1
     Vt(m*(i-1)+1:m*i,:) = Vtt;
    Vp(m*(i-1)+1:m*i,:) = Vpt;
end

lhdraw2 = zeros(1,T);
lhdraw2(:,T) = bt(T,2)' + chol(Vt((T-1)*2+2:end,2))'*randn(1,1);

% following Primiceri (2005), start backward recussion.

for i = 1:T-1
    b = lhdraw2(:,T-i+1);
    btemp = F2draw*bt(T-i,:)';
    bb = bt(T-i,2)' + Vt((T-i-1)*m+2:m*(T-i),2)*F2draw(2,2)'*inv(Vp((T-i)*m+2:(T-i+1)*m,2))*(b-btemp(2));
    Vb = Vt((T-i-1)*m+2:m*(T-i),2) - Vt((T-i-1)*m+2:m*(T-i),2)*F2draw(2,2)'*inv(Vp((T-i)*m+2:(T-i+1)*2,2))*F2draw(2,2)*Vt((T-i-1)*m+2:m*(T-i),2);
    lhdraw2(:,T-i) = bb + chol(Vb)'*randn(1,1);
end



%%%%%%%%% draw pp.%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
temp_err = zeros(T_HF,1);
for jj=1:T_HF
    dino = sqrt(Sigma(jj));
    %temp_dist(jj) = (logRV(jj) - 2*lhdraw2(Ti+jj))/dino;
    temp_err(jj,:) = (logRV(jj) - 2*lhdraw2(Ti+jj))/dino;
end
%temp_err = temp_dist(2:end)' - temp_dist(1:end-1)';
Qpp_temp = prior_Qpp + temp_err'*temp_err;
%post_Qpp = chol(inv(Qpp_temp))';

%vvq = post_Qpp*randn(1, post_dfpp);
vvq = randn(post_dfpp, 1);
vq = vvq'*vvq;
%ppdraw = inv(vvq*vvq');
ppdraw = Qpp_temp/vq;

