H1 = [zeros(1,2); 2 Ldraw2];
H2 = [zeros(1,3); 2 Ldraw2 2]; % (1*3) matrix
Qt = [zeros(1,2); 0 Wdraw2(2,2)];
F2draw = [1 0; int22 rho22];
btt = [0 prior_logh2(2)]'; %h0|0
Vtt = [zeros(1,2); 0 prior_varh2(2,2)]; %P0|0

bt = zeros(T2,2);
bp = zeros(T2,2);
Vt = zeros(T2*2,2);
Vp = zeros(T2*2,2);
m=2;
for i = 1:T2
    bpt = F2draw*btt; %h1|0
    Vpt = F2draw*Vtt*F2draw+Qt; %P1|0
    if i <= Ti
        R = vart212((i-1)*2+1:i*2,:);  % vart2 := R , ys2 := obs.variable %(2*2)
        cfe = ys212((i-1)*2+1:i*2) - H1'*bpt; 
        f = H1'*Vpt*H1 + R; 
        inv_f = inv(f);
    
        btt = bpt + Vpt*H1*inv_f*cfe; 
        Vtt = Vpt - Vpt*H1*inv_f*H1'*Vpt;
    elseif i> Ti
        ii = i-Ti;
        R = vart222((ii-1)*3+1:ii*3,:);  % vart2 := R , ys2 := obs.variable %(2*2)
        cfe = ys212((ii-1)*3+1:ii*3) - H2'*bpt; 
        f = H2'*Vpt*H2 + R;
        inv_f = inv(f);
    
        btt = bpt + Vpt*H2*inv_f*cfe; %(2*1)
        Vtt = Vpt - Vpt*H2*inv_f*H2'*Vpt; %(2*2)
    end

    bt(i,:) = btt';  % 1|1, 2|2, ....., T|T
    bp(i,:) = bpt';  % 1|0, 2|1, ..... T|T-1
     Vt(m*(i-1)+1:m*i,:) = Vtt;
    Vp(m*(i-1)+1:m*i,:) = Vpt;
end

lhdraw22 = zeros(1,T2);
lhdraw22(:,T2) = bt(T2,2)' + chol(Vt((T2-1)*2+2:end,2))'*randn(1,1);

% following Primiceri (2005), start backward recussion.

for i = 1:T2-1
    b = lhdraw22(:,T2-i+1);
    btemp = F2draw*bt(T2-i,:)';
    bb = bt(T2-i,2)' + Vt((T2-i-1)*m+2:m*(T2-i),2)*F2draw(2,2)'*inv(Vp((T2-i)*m+2:(T2-i+1)*m,2))*(b-btemp(2));
    Vb = Vt((T2-i-1)*m+2:m*(T2-i),2) - Vt((T2-i-1)*m+2:m*(T2-i),2)*F2draw(2,2)'*inv(Vp((T2-i)*m+2:(T2-i+1)*2,2))*F2draw(2,2)*Vt((T2-i-1)*m+2:m*(T2-i),2);
    lhdraw22(:,T2-i) = bb + chol(Vb)'*randn(1,1);
end
