H1 = [2 Ldraw];
%H2 = [2 Ldraw 2]; % (1*3) matrix
Qt = Wdraw(2,2);
F2draw = rho2;
btt = prior_logh(2); %h0|0
Vtt = prior_varh(2,2); %P0|0

bt = zeros(T,1);
bp = zeros(T,1);
Vt = zeros(T,1);
Vp = zeros(T,1);

for i = 1:T
    bpt = F2draw*btt; %h1|0
    Vpt = F2draw*Vtt*F2draw+Qt; %P1|0
    R = vart21((i-1)*2+1:i*2,:);  % vart2 := R , ys2 := obs.variable %(2*2)
    cfe = ys21((i-1)*2+1:i*2) - H1'*bpt; 
    f = H1'*Vpt*H1 + R; 
    inv_f = inv(f);
    
    btt = bpt + Vpt*H1*inv_f*cfe; %(1*1)
    Vtt = Vpt - Vpt*H1*inv_f*H1'*Vpt; %(1*1)

    bt(i) = btt;  % 1|1, 2|2, ....., T|T
    bp(i) = bpt;  % 1|0, 2|1, ..... T|T-1
    Vt(i) = Vtt;
    Vp(i) = Vpt;
end

lhdraw2 = zeros(T,1);
lhdraw2(T,:) = bt(T) + chol(Vt(T))'*randn(1,1);

% following Primiceri (2005), start backward recussion.

for i = 1:T-1
    b = lhdraw2(T-i+1,:);
    bb = bt(T-i) + Vt(T-i)*F2draw'*inv(Vp(T-i+1))*(b-F2draw*bt(T-i));
    Vb = Vt(T-i) - Vt(T-i)*F2draw'*inv(Vp(T-i+1))*F2draw*Vt(T-i);
    lhdraw2(T-i) = bb + chol(Vb)'*randn(1,1);
end

lhdraw2 = lhdraw2';
